Pango::GlyphInfo Class Reference

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes. More...

`#include <pangomm/glyph.h>`

## Public Member Functions

| GlyphInfo ()
Glyph | get_glyph () const
| Gets the glyph itself.
GlyphGeometry | get_geometry () const
| Gets the positional information about the glyph.
GlyphVisAttr | get_attr () const
| Gets the visual attributes of the glyph.
PangoGlyphInfo * | gobj ()
| Provides access to the underlying C GObject.
const PangoGlyphInfo * | gobj () const
| Provides access to the underlying C GObject.

## Protected Attributes

PangoGlyphInfo | gobject_

## Related Symbols

(Note that these are not member symbols.)
Pango::GlyphInfo & | wrap (PangoGlyphInfo * object)
const Pango::GlyphInfo & | wrap (const PangoGlyphInfo * object)

## Detailed Description

A Pango::GlyphInfo represents a single glyph together with positioning information and visual attributes.

## Constructor & Destructor Documentation

## GlyphInfo()

Pango::GlyphInfo::GlyphInfo | ( |  | ) |

## Member Function Documentation

## get_attr()

GlyphVisAttr Pango::GlyphInfo::get_attr | ( |  | ) | const

Gets the visual attributes of the glyph.

Returns
  A GlyphVisAttr structure.

## get_geometry()

GlyphGeometry Pango::GlyphInfo::get_geometry | ( |  | ) | const

Gets the positional information about the glyph.

Returns
  A GylphGeometry object.

## get_glyph()

Glyph Pango::GlyphInfo::get_glyph | ( |  | ) | const

Gets the glyph itself.

Returns
  The glyph.

## gobj() [1/2]

PangoGlyphInfo * Pango::GlyphInfo::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const PangoGlyphInfo * Pango::GlyphInfo::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## Friends And Related Symbol Documentation

## wrap() [1/2]

const Pango::GlyphInfo & wrap | ( | const PangoGlyphInfo * | object | ) |

related

## wrap() [2/2]

Pango::GlyphInfo & wrap | ( | PangoGlyphInfo * | object | ) |

related

## Member Data Documentation

## gobject_

PangoGlyphInfo Pango::GlyphInfo::gobject_

protected